Subject: Re: [PATCH 2/2] Raise the upper limit of NR_CPUS and move the pacas into the BSS.

From: Arnd Bergmann <[email-masked]>
Date: Tue, 29 Apr 2008 11:46:30 +0200

On Thursday 24 April 2008, Tony Breeds wrote:
> This patch adds the required functionality to fill in all pacas at runtime.
> 
> With NR_CPUS=1024
> text    data     bss     dec     hex filename
>  137 1704032       0 1704169  1a00e9 arch/powerpc/kernel/paca.o :Before
>  121 1179744  524288 1704153  1a00d9 arch/powerpc/kernel/paca.o :After
> 
> Also remove unneeded #includes from arch/powerpc/kernel/paca.c
> 
> Signed-off-by: Tony Breeds <[email-masked]>

Maybe we can go even further than this: Since it is now a substantial amount
of .bss, maybe the unused parts can be returned to the buddy allocator
using free_bootmem or similar once you know how many CPUs there are?

I know that this would be an evil hack, but it may still be worth it.
Your patch should certainly go in first though, freeing the memory would
be an additional extension.

	Arnd <><